<?php
require("../conexion.php");
include ("../funciones/fechas.php");

$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
$numfactura=$_POST["numfactura"];
$estadoComprobanteIntegracion=$_POST["combotipoventa"];

$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

 $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 



//$numfactura2=$_POST["numfactura2"];

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgcli <> "") { $where.=" AND cdgcli='$cdgcli'"; }
if ($estadoComprobanteIntegracion <> "") { $where.=" AND estadoComprobanteIntegracion='$estadoComprobanteIntegracion'"; }
//if ($numfactura2 <> "") { $where.=" AND facturas.numfactura='$numfactura2'"; }

if ($numfactura <> "") { $where.=" AND numfactura='$numfactura'"; }
if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecha>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecha<='".$fechafin."'";
		}
	}
}

if ($dsccli <> "") { $where.=" AND cdgcli > 0  AND dsccli like '%".$dsccli."%'"; }

 $where.=" ORDER BY codfactura DESC  LIMIT 300";
 

 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT cdgcli FROM facturas WHERE   ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}


?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script src="..//jquery/bootstrap.js"></script>
        <link href="..//estilos/bootstrap.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		


function enviar_hacienda(codfactura,estado) {
	if (  estado ==1  || estado ==2  || estado ==3  ) {
 
  alert ("Comprobante ya fue enviado  a hacienda, favor verifique")


	} else {	


   window.open("../FE/tiqueteElectronico/fe.php?f="+codfactura);
  // window.open("../FE/facturaElectronica/fe.php?f="+codfactura);   
  	window.open("../FE/tiqueteElectronico/subir_xml_web.php?codfactura="+codfactura);

		
			}
		}
		
		

function corregir_error(codfactura,estado) {
	if (estado ==400    ) {
 

  window.open("../FE/tiqueteElectronico/fe.php?f="+codfactura); 

	} else {	

  alert ("Comprobante No Registra Errores, favor verifique")


		
			}
		}



function nueva_nd(codfactura,estado) {
	if (estado==0 ) {
 

     alert ("Comprobante no ha sido entregada a Hacienda no puede realizar NOTA DE DEBITO, Favor Verifique ")
	
	} else {	


    parent.location.href="../Notas_Debito/nueva_nota_referencia.php?codfactura=" + codfactura;
		
			}
		}


function nueva_nc(codfactura,estado) {
	if (estado==0 ) {
 

 alert ("Comprobante no ha sido entregada a Hacienda no puede realizar NOTA DE CREDITO, Favor Verifique ")
	
	} else {	


    parent.location.href="../Notas/nueva_nota_referencia.php?codfactura=" + codfactura;
		
			}
		}




function nueva_factura(codfactura,estado) {
	
	

	if (estado==0 ) {
 

 alert ("Comprobante no ha sido entregada a Hacienda no puede ser Facturada Nuevamente, Favor Verifique ")
	
	} else {	


    parent.location.href="../Factura/nueva_proforma_super_referencia.php?codfactura=" + codfactura;
		
			}
		}


 function  nueva_factura_cabys(codfactura,estado){

	document.getElementById("frame_datos1").src="comprobarcabys.php?codfactura=" +codfactura+"&estado="+estado;


}
	
	
	 function  nueva_nc_cabys(codfactura,estado){

	document.getElementById("frame_datos2").src="comprobarcabys_nc.php?codfactura=" +codfactura+"&estado="+estado;


}




function enviar_cliente(codfactura,estado,cdgcli) {
	if (estado==1 ) {
   
      if (cdgcli==9999 ) {

 alert ("Cliente no cumple con los requisitos para enviar el comprobante, cliente de Generico")  
 
} else {
	  window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura);
      window.open("../Comprobantes_fac/enviar_correo.php?codfactura="+codfactura);

	}



	} else {	

 	 alert ("Comprobante no ha sido enviado o aceptado totalmente por hacienda no pueder ser enviado por correo")  
			}
		}


function consultar_estado(codfactura,estado) {
	if ( estado ==1  || estado ==2    ) {
 
	} else {	


    window.open("../FE/tiqueteElectronico/fe_estado.php?f="+codfactura);	
		
			}
		}
		
		
function ver_xml(codfactura,estado, cdgclave, numcomp) {
	if ( estado ==1  || estado ==2  || estado ==3  ) {
 
 	
    window.open("../FE/tiqueteElectronico/crt/mensajes/mns-"+cdgclave+".xml");	
	window.open("../FE/tiqueteElectronico/crt/comprobantes/"+numcomp+".xml");	

	} else {	
   
    alert ("Favor Verifique comprobante aun no tiene mensaje de Respuesta por Hacienda")  

			}
		}
		
		
		
				

function ver_pdf(codfactura,estado, cdgcli, numcomp) {
	
		window.open("../fpdf/imprimir_Original_ver.php?codfactura="+codfactura);
	
		}
						      



			
		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">

<?php
$contador=0;
if ( $filas > 0) {

$consulta2 = "SELECT codfactura FROM facturas WHERE  ".$where ;

if ($resultado2 = $mysqli->query($consulta2)) 

    while ($fila2 = $resultado2->fetch_assoc()) {
    
	$codfactura = $fila2["codfactura"];
	
	
 
$consulta = "SELECT estadoComprobanteIntegracion, modpro,cdgtipven, codfactura,dsccli ,cdgcli ,fecha ,horfac , borrado, totalfactura,estado,numfactura, cdgclave, numcomp, estenvio, estrechazo FROM facturas WHERE  codfactura='$codfactura' ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();


        $marcaestado = $fila["estado"];
        $marcaborrado = $fila["borrado"];
        $horfac = $fila["horfac"];
        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $fila["cdgtipven"];
		$numfactura = $fila["numfactura"];
		$cdgcli = $fila["cdgcli"];
		$dsccli = $fila["dsccli"];
		$totalfactura = $fila["totalfactura"];
		$modpro = $fila["modpro"];
		$estado = $fila["estadoComprobanteIntegracion"];
		$cdgclave = $fila["cdgclave"];
		$numcomp = $fila["numcomp"];
		$estenvio = $fila["estenvio"];
		$estrechazo = $fila["estrechazo"];
        $dsccli = substr($dsccli, 0, 55);  

         $resultado->close();
		if ($marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
		if ($cdgtipven == 1) { $tipo="CONTADO"; } else { $tipo="CREDITO"; } 
		if ($estenvio  == 1) { $estenvio="ENVIADO"; } else {$estenvio=""; } 
		if ($estrechazo == 1) { $estrechazo="CORREGIDO"; } else { $estrechazo=""; } 
		
		$consult = "SELECT * FROM hac_estados WHERE cdgesthac = '$estado' ";
		$result = $mysqli->query($consult);
		$fila = $result->fetch_array();
			$filas_estados = $result->num_rows;

       if ($filas_estados > 0) { 
$dscesthac = $fila["dscesthac"]; }else { $dscesthac = "EN TRANSITO"; }
		 
	
 
		
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

		  <td width="5%"><div align="left"><?php echo $numfactura ?> </div></td>
								<td width="11%" align="center"><div align="center"><?php echo $fecha?></div></td>
		  <td width="6%" align="right"><div align="left"><?php echo $cdgcli?></div></td>
		  <td width="21%"><div align="left"><?php echo 	$dsccli?></div></td>	
								<td width="6%"><div align="right"><?php echo number_format($totalfactura); ?></div></td>
								
													
							
				<?php   if ($dscesthac == "ACEPTADO PARCIAL"){?>
		       
			   		<td width="10%" align="center"><span class="label label-danger"><?php echo $dscesthac; ?></span></td>
							
				<?php   } elseif ($dscesthac == "ENTREGADO") {?>
				
				   <td width="10%" align="center"><span class="label label-success"><?php echo $dscesthac; ?></span></td>	
				   
				<?php   } elseif ($dscesthac == "ACEPTADO") {?>
				
				   <td width="10%" align="center"><span class="label label-primary"><?php echo $dscesthac; ?></span></td>	
				   
				<?php   } else  {?>
				
				   <td width="10%" align="center"><span class="label label-default"><?php echo $dscesthac; ?></span></td>	
		
				<?php   } ?>
			
								
                                <td width="7%"><div align="center"><?php echo $estenvio; ?></div></td>
                                <td width="8%"><div align="center"><?php echo $estrechazo; ?></div></td>
                                <td width="3%"><a href="#"><img src="../img/entregar_hacienda.png" alt="im" width="32" height="28" border="0" title="Enviar Hacienda" onClick="enviar_hacienda('<?php echo $codfactura  ?>','<?php echo $estado ?>' )"></a></td>
		
								<td width="3%"><div align="right"><a href="#"><img src="../img/email.png" alt="im" width="32" height="28" border="0" title="Enviar al Cliente" onClick="enviar_cliente('<?php echo $codfactura  ?>','<?php echo $estado ?>','<?php echo $cdgcli ?>' )"></a></div></td>
								<td width="3%"><a href="#"><img src="../img/consultar.png" alt="im" width="32" height="28" border="0" title="Consultar Estado" onClick="consultar_estado('<?php echo $codfactura  ?>','<?php echo $estado ?>' )"></a></td>
								<td width="3%"><a href="#"><img src="../img/xml.png" alt="im" width="32" height="32" border="0" title="Ver Archivos XML " onClick="ver_xml('<?php echo $codfactura  ?>','<?php echo $estado ?>','<?php echo $cdgclave ?>' ,'<?php echo $numcomp ?>' )"></a></td>
								<td width="3%"><a href="#"><img src="../img/pdf.png" alt="im" width="32" height="32" border="0" title="Ver Documento PDF" onClick="ver_pdf('<?php echo $codfactura  ?>','<?php echo $estado ?>','<?php echo $cdgcli ?>' ,'<?php echo $numcomp ?>'  )"></a></td>
								<td width="2%">&nbsp;</td>
								<td width="3%"><a href="#"><img src="../img/NC.png" alt="im" width="32" height="32" border="0" title="Aplicar Nota de Credito" onClick="nueva_nc_cabys('<?php echo $codfactura  ?>','<?php echo $estado ?>' )"></a></td>
								<td width="3%"><a href="#"><img src="../img/ND.png" alt="im" width="32" height="32" border="0" title="Aplicar Nota de Debito" onClick="nueva_nd('<?php echo $codfactura  ?>','<?php echo $estado ?>' )"></a></td>
			                    <td width="3%"><a href="#"><img src="../img/carrito.png" alt="im" width="32" height="32" border="0" title="facturar Comprobante" onClick="nueva_factura_cabys('<?php echo $codfactura  ?>','<?php echo $estado ?>' )"></a></td>
              </tr>
						</tr>	
						<?php $contador++;
				
							}
							
									   $resultado2->close();
						?>			
			  </table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay ninguna factura que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
		  </div>
		  </div>
    </div>			
		</div>
        
        <iframe id="frame_datos1" name="frame_datos1" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
  </iframe>	
  
          <iframe id="frame_datos2" name="frame_datos2" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
  </iframe>	
	</body>
</html>
